﻿;/ Created with PureVision64 v6.00 x64
;/ Sat, 15 Oct 2022 14:11:45
;/ by Frank Haberditzl                




XIncludeFile "StringFilterUI_Constants.pb"


Procedure SizeWindowHandler()
  PVX::PVDynamic_Resize(WindowID(EventWindow())) 
EndProcedure
BindEvent(#PB_Event_SizeWindow,@SizeWindowHandler())





Procedure.i Window_StringFilterTool()
  If OpenWindow(#Window_StringFilterTool,0,0,568,400,"String Filter",#PB_Window_SystemMenu|#PB_Window_MinimizeGadget|#PB_Window_MaximizeGadget|#PB_Window_SizeGadget|#PB_Window_ScreenCentered|#PB_Window_Invisible)
      ContainerGadget(#Gadget_StringFilterTool_AppContainer1,0,0,600,830)
      FrameGadget(#Gadget_StringFilterTool_SettingsFrame,5,5,555,245,"Einstellungen")
        SetGadgetFont(#Gadget_StringFilterTool_SettingsFrame,LoadFont(#Gadget_StringFilterTool_SettingsFrame,"Segoe UI",10))
      TextGadget(#Gadget_StringFilterTool_MPHDirectoryText,15,35,150,30,"MPH Verzeichnis")
        SetGadgetFont(#Gadget_StringFilterTool_MPHDirectoryText,LoadFont(#Gadget_StringFilterTool_MPHDirectoryText,"Segoe UI",14))
      ButtonGadget(#Gadget_StringFilterTool_MPHDirectoryButton,185,35,370,30,"",#PB_Button_Left)
        SetGadgetFont(#Gadget_StringFilterTool_MPHDirectoryButton,LoadFont(#Gadget_StringFilterTool_MPHDirectoryButton,"Segoe UI",12))
        GadgetToolTip(#Gadget_StringFilterTool_MPHDirectoryButton,"Verzeichnis der MPH Dateien")
      TextGadget(#Gadget_StringFilterTool_BasePathText,15,75,150,30,"Basis Pfad Bilder")
        SetGadgetFont(#Gadget_StringFilterTool_BasePathText,LoadFont(#Gadget_StringFilterTool_BasePathText,"Segoe UI",14))
      ButtonGadget(#Gadget_StringFilterTool_BasePathButton,185,75,370,30,"",#PB_Button_Left)
        SetGadgetFont(#Gadget_StringFilterTool_BasePathButton,LoadFont(#Gadget_StringFilterTool_BasePathButton,"Segoe UI",12))
        GadgetToolTip(#Gadget_StringFilterTool_BasePathButton,"Basis Pfad des Familienarchives")
      TextGadget(#Gadget_StringFilterTool_MinimumStringLengthText,15,115,165,30,"Min. String Length")
        SetGadgetFont(#Gadget_StringFilterTool_MinimumStringLengthText,LoadFont(#Gadget_StringFilterTool_MinimumStringLengthText,"Segoe UI",14))
      TrackBarGadget(#Gadget_StringFilterTool_MinimumStringLengthTrackBar,185,115,330,30,0,10,#PB_TrackBar_Ticks)
      TextGadget(#Gadget_StringFilterTool_StringLengthText,515,115,40,30,"")
        SetGadgetFont(#Gadget_StringFilterTool_StringLengthText,LoadFont(#Gadget_StringFilterTool_StringLengthText,"Segoe UI",14))
      CheckBoxGadget(#Gadget_StringFilterTool_RequireBasePathCheckBox,185,150,405,30,"muss Basis Pfad beinhalten")
        SetGadgetFont(#Gadget_StringFilterTool_RequireBasePathCheckBox,LoadFont(#Gadget_StringFilterTool_RequireBasePathCheckBox,"Segoe UI",12))
      CheckBoxGadget(#Gadget_StringFilterTool_RemoveBasePathCheckBox,185,180,405,30,"Basis Pfad aus Treffern entfernen")
        SetGadgetFont(#Gadget_StringFilterTool_RemoveBasePathCheckBox,LoadFont(#Gadget_StringFilterTool_RemoveBasePathCheckBox,"Segoe UI",12))
      CheckBoxGadget(#Gadget_StringFilterTool_PrependMPHNameCheckBox,185,210,405,30,"MPH Name in Treffern voranstellen")
        SetGadgetFont(#Gadget_StringFilterTool_PrependMPHNameCheckBox,LoadFont(#Gadget_StringFilterTool_PrependMPHNameCheckBox,"Segoe UI",12))
      ButtonGadget(#Gadget_StringFilterTool_ActionButton,220,290,160,30,"Filter anwenden")
        SetGadgetFont(#Gadget_StringFilterTool_ActionButton,LoadFont(#Gadget_StringFilterTool_ActionButton,"Segoe UI",14))
      ButtonImageGadget(#Gadget_StringFilterTool_ManualButtonImage1,510,345,50,50,0)
        GadgetToolTip(#Gadget_StringFilterTool_ManualButtonImage1,"Manual")
      CloseGadgetList()
      ContainerGadget(#Gadget_StringFilterTool_AppContainer2,0,0,600,515)
      FrameGadget(#Gadget_StringFilterTool_InfoFrame,5,5,555,190,"Informationen")
      EditorGadget(#Gadget_StringFilterTool_InfoEditor,10,25,545,165,#PB_Editor_ReadOnly|#PB_Editor_WordWrap)
      ProgressBarGadget(#Gadget_StringFilterTool_ProgressBar,10,200,545,15,0,100,#PB_ProgressBar_Smooth)
      FrameGadget(#Gadget_StringFilterTool_HitFrame,5,225,555,170,"Treffer")
        SetGadgetFont(#Gadget_StringFilterTool_HitFrame,LoadFont(#Gadget_StringFilterTool_HitFrame,"Segoe UI",10))
      EditorGadget(#Gadget_StringFilterTool_HitInformationEditor,10,245,545,90,#PB_Editor_ReadOnly|#PB_Editor_WordWrap)
      ButtonGadget(#Gadget_StringFilterTool_SaveResultsButton,10,360,150,30,"Ergebnis speichern")
        SetGadgetFont(#Gadget_StringFilterTool_SaveResultsButton,LoadFont(#Gadget_StringFilterTool_SaveResultsButton,"Segoe UI",12))
      ButtonImageGadget(#Gadget_StringFilterTool_ManualButtonImage2,505,340,50,50,0)
        GadgetToolTip(#Gadget_StringFilterTool_ManualButtonImage2,"Manual")
      CloseGadgetList()
      WindowBounds(#Window_StringFilterTool,WindowWidth(#Window_StringFilterTool),WindowHeight(#Window_StringFilterTool),#PB_Ignore,#PB_Ignore)
      PVX::PVDynamic_AddWindow(#Window_StringFilterTool)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_AppContainer1,PVX::#VerticalSize|PVX::#HorizontalSize)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_SettingsFrame,PVX::#HorizontalSize)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_MPHDirectoryButton,PVX::#HorizontalSize)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_BasePathButton,PVX::#HorizontalSize)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_MinimumStringLengthTrackBar,PVX::#HorizontalSize)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_StringLengthText,PVX::#HorizontalMove)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_AppContainer2,PVX::#VerticalSize|PVX::#HorizontalSize)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_InfoFrame,PVX::#HorizontalSize)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_InfoEditor,PVX::#HorizontalSize)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_ProgressBar,PVX::#HorizontalSize)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_HitFrame,PVX::#VerticalSize|PVX::#HorizontalSize)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_HitInformationEditor,PVX::#VerticalSize|PVX::#HorizontalSize)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_SaveResultsButton,PVX::#VerticalMove)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_ManualButtonImage2,PVX::#VerticalMove|PVX::#HorizontalMove)
      PVX::PVDynamic_AddGadget(#Window_StringFilterTool,#Gadget_StringFilterTool_ManualButtonImage1,PVX::#VerticalMove|PVX::#HorizontalMove)
      HideGadget(#Gadget_StringFilterTool_AppContainer2,#True)
      HideWindow(#Window_StringFilterTool,#False)
    ProcedureReturn WindowID(#Window_StringFilterTool)
  EndIf
EndProcedure


